# Flow

> A flow works by requesting the previous nodes the results of its operation,
> so the starting node will be the node we want the result of, unattached nodes wont be executed`

All nodes are Go functions.
Here's an example of a Flow app with a node having a single string output:

```go
package main

import (
  "flow/registry"
  "flowserver"
  "net/http"
)

func main() {

  r := registry.New()
  r.Add("hello", func() string {
    return "hello world"
  })

  http.ListenAndServe(":5000", flowserver.New(r,"storename"))

}
```

<a target="_blank" :href="'http://'+ location.host +'/c1.html'">sample1</a><br>
Every function can be registered including from external packages as shown in
<a target="_blank" :href="'http://'+ location.host +'/c2.html'">sample2</a><br>
Describing functions:
<a target="_blank" :href="'http://'+ location.host +'/c3.html'">sample3</a><br>

![img/c2.jpg](img/c2.jpg)

```go
package main

func main() {

}
```
